/*
 * ReportPanelToolTip.java
 *
 * Created on 3 giugno 2005, 0.38
 */

package it.businesslogic.ireport.gui;

import it.businesslogic.ireport.*;
/**
 *
 * @author  Administrator
 */
public class ReportPanelToolTip extends javax.swing.JToolTip {
    
    private JReportFrame reportFrame = null;
    
    private Band band = null;
    private ReportElement reportElement = null;
    
    /** Creates a new instance of ReportPanelToolTip */
    public ReportPanelToolTip(JReportFrame rf) {
                this.setReportFrame(rf);
    }
    
    public String getTipText()
    {
        String toolTipText = "";
        if (band == null)
        {
            return null;
        }
        toolTipText = band.getName();
        return toolTipText;
    }
    
    public JReportFrame getReportFrame() {
        return reportFrame;
    }

    public void setReportFrame(JReportFrame reportFrame) {
        this.reportFrame = reportFrame;
    }

    public Band getBand() {
        return band;
    }

    public void setBand(Band band) {
        this.band = band;
    }

    public ReportElement getReportElement() {
        return reportElement;
    }

    public void setReportElement(ReportElement reportElement) {
        this.reportElement = reportElement;
    }
    
}
